{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function relational_call, start_window, msg, entid, repository\r\ndeclare function key_sort, send_event, rowexists\r\ndeclare subroutine make.list\r\n$insert logical\r\n$insert msg_equates\r\n\r\nSelpos = .rds_detail->selpos\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\nbegin case\r\n    case Column = 2 ;* rds\r\n        ColData = get_property( @window:'.RDS_DETAIL', 'COLDATA' )\r\n        CurRds = ColData<1,Row>\r\n\t    * row one = call window with current key\r\n\t    * row two = call window with all keys\r\n\t\tPopupId = entid( @appid<1>, 'POPUP', '', 'SCHED_GOTO_RDS' )\r\n\t\tChoosenRow = repository( 'EXECUTE', PopupId, @window, '' )\r\n\t\tif ChoosenRow = 1 then\r\n\t\t    ;* go view current rds\r\n\t\t    if CurRds then\r\n\t\t        RetVal = start_window( 'RDS', @window, CurRds, '', '' ) \r\n\t\t    end else\r\n\t\t        MsgInfo = ''\r\n\t\t        Text = 'You must be on a line with an RDS number...' \r\n\t\t        MsgInfo<mtext$> = Text\r\n\t\t        MsgInfo<micon$> = 'H'\r\n\t\t        Void = msg( '', MsgInfo )\r\n\t\t        return 0\r\n\t\t    end\r\n\t\tend else\r\n\t\t    if ChoosenRow = 2 then\r\n\t\t        * call recipe window\r\n                swap @vm:@vm with '' in ColData\r\n                if ColData[-1,1] = @vm then ColData[-1,1] = ''\r\n\t\t        RetVal = start_window( 'RDS', @window, ColData, '', '' )\r\n\t\t    end\r\n\t\tend    \r\n    case Otherwise$\r\nend case\r\nRETURN 0\r\n*===========================================================================*\r\n"
        }
    }
}